# Interface MapFishPrintWmsLayer

interface MapFishPrintWmsLayer {
baseURL: string;
customParams: {};
imageFormat: string;
layers: string[];
opacity: number;
serverType: string;
styles: string[];
type: string;
useNativeAngle: boolean;
version: string;
}

- Defined in src/print/mapfish-print-v3.js:135

#####
Index

### Properties

baseURL
customParams
imageFormat
layers
opacity
serverType
styles
type
useNativeAngle
version

## Properties

### baseURL

baseURL: string

- Defined in src/print/mapfish-print-v3.js:138

### customParams

customParams: {}

#### Type declaration

- Defined in src/print/mapfish-print-v3.js:139

### imageFormat

imageFormat: string

- Defined in src/print/mapfish-print-v3.js:145

### layers

layers: string[]

- Defined in src/print/mapfish-print-v3.js:140

### opacity

opacity: number

(MapFishPrintLayer)

- Defined in src/print/mapfish-print-v3.js:137

### serverType

serverType: string

- Defined in src/print/mapfish-print-v3.js:141

### styles

styles: string[]

- Defined in src/print/mapfish-print-v3.js:142

### type

type: string

(MapFishPrintLayer)

- Defined in src/print/mapfish-print-v3.js:136

### useNativeAngle

useNativeAngle: boolean

- Defined in src/print/mapfish-print-v3.js:144

### version

version: string

- Defined in src/print/mapfish-print-v3.js:143

Generated using TypeDoc